import request from "@/utils/request";
import axios from "axios";

// 创建 axios 实例
const service = axios.create({
  baseURL: import.meta.env.VITE_APP_BASE_API,
  timeout: 50000,
  headers: { "Content-Type": "application/json;charset=UTF-8" },
  responseType: "blob",
});
export function getData(data) {
  return request({
    url: "/api/v1/quality/stat/page",
    method: "post",
    data,
  });
}
export function getStatLevel() {
  return request({
    url: "/api/v1/quality/stat/statLevel",
    method: "get",
  });
}
export function getExport(data) {
  return service({
    url: "/api/v1/quality/stat/export",
    method: "post",
    data,
  });
}

export function createNewReport(data) {
  return service({
    url: "/api/v1/quality/stat/export",
    method: "post",
    data,
  });
}
